export default class Return {
    private readonly type;
    private readonly value;
    constructor(type: any, value?: any);
    static Undefined(): Return;
    static Null(): Return;
    static Self(): Return;
    static Value(value: any): Return;
    static Array(value: any): Return;
    static Values(value: any): Return;
    static Objects(value: any): Return;
    static make(type: any, value?: any): Return;
    serialize(): {
        type: any;
        value: any;
    };
}
