export default class Generic {
    private cache;
    static TYPES: {
        GenericObject: string;
        GenericValue: string;
    };
    returnCached(object: any, type?: string, represents?: any, id?: string): {
        id: string;
        type: string;
        represents: any;
    };
    addToCache<T>(type: any, id: any, item: T): T;
    getCache(): {
        [key: string]: {
            [key: string]: any;
        };
    };
    getCache(key: string): {
        [key: string]: any;
    };
    getKey(object: any, type?: string): {
        id: string;
        type: string;
        represents: any;
    } | undefined;
}
