import { Page } from 'puppeteer-core';
import { ICommand, ICommandError, IPacket } from '@puth/core';
import Context from './Context';
declare class SnapshotHandler {
    private cache;
    pushToCache(context: Context, item: any, { broadcast }?: {
        broadcast: boolean;
    }): void;
    error(param: Context, page: Page, command: ICommand | undefined, error: ICommandError): void;
    getAllCachedItems(): never[];
    getAllCachedItemsFrom(context: Context): IPacket[];
    hasCachedItems(): boolean;
}
declare const Snapshots: SnapshotHandler;
export default Snapshots;
