import { Browser, EventType, Handler, Page } from 'puppeteer-core';
export type PuthBrowser = {
    on(event: EventType, handler: Handler<any>): void;
    once(event: EventType, handler: Handler<any>): void;
    pages(): Promise<Page[]>;
    close(): Promise<void>;
};
export type HandlesBrowsers = {
    launch: (options: any) => Promise<PuthBrowser>;
    connect: (options: any) => Promise<PuthBrowser>;
    destroy: (browser: Browser) => Promise<void>;
};
export declare class DefaultBrowserHandler implements HandlesBrowsers {
    private browsers;
    launch(options?: any): Promise<Browser>;
    connect(options?: any): Promise<Browser>;
    destroy(browser: Browser): Promise<void>;
}
