import { PuthPlugin, PuthPluginType } from './PuthPluginGeneric';
import Context from './Context';
export default abstract class PuthContextPlugin extends PuthPlugin {
    static readonly PluginType = PuthPluginType.ContextPlugin;
    protected context: Context | undefined;
    protected additions: {
        [key: string]: {};
    };
    install(context: Context): void;
    register(additions: {}): void;
    hasAddition(type: any, func: any): boolean;
    execAddition(type: any, func: any, object: any, parameters: any): Promise<any>;
    getAddition(type: any, func: any): any;
    getContext(): Context;
    getPuth(): import("./Puth").default;
}
