import { SocketStream } from '@fastify/websocket';
import { Encoder as BaseEncoder, Decoder as BaseDecoder, ExtensionCodec } from '@msgpack/msgpack';
export declare const PUTH_EXTENSION_CODEC: ExtensionCodec<undefined>;
export declare const Encoder: BaseEncoder<undefined>;
export declare const Decoder: BaseDecoder<undefined>;
declare class WebsocketConnectionHandler {
    sockets: SocketStream[];
    push(socket: SocketStream): void;
    pop(socket: SocketStream): void;
    broadcastAll(message: string | object | object[]): void;
    serialize(object: string | object | object[]): Uint8Array;
    serializeSharedRef(object: string | object | object[]): Uint8Array;
    decode(data: any): unknown;
}
declare const WebsocketConnections: WebsocketConnectionHandler;
export default WebsocketConnections;
